# BaseMetric
`toloka.metrics.metrics.BaseMetric` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/metrics/metrics.py#L68)

```python
BaseMetric(
    self,
    *,
    toloka_client: Optional[TolokaClient] = None,
    atoloka_client: Optional[AsyncTolokaClient] = None,
    timeout: timedelta = ...
)
```

Base class for all metrics.


Stores TolokaClient instance for this metric.

## Methods Summary

| Method | Description |
| :------| :-----------|
[get_line_names](toloka.metrics.metrics.BaseMetric.get_line_names.md)| Returns a list of metric names that can be generated by this class instance.
[get_lines](toloka.metrics.metrics.BaseMetric.get_lines.md)| Gather and return metrics
[set_client](toloka.metrics.metrics.BaseMetric.set_client.md)| Sets both TolokaClient and AsyncTolokaClient for the object.
